import "react";
import "react/jsx-runtime";
import { memoize } from "../../../core/utils/memoize/memoize.mjs";
import "clsx";
import { getAllCheckedNodes } from "../get-all-checked-nodes/get-all-checked-nodes.mjs";
function isNodeIndeterminate(value, data, checkedState) {
  if (checkedState.length === 0) {
    return false;
  }
  const checkedNodes = getAllCheckedNodes(data, checkedState).result;
  return checkedNodes.some((node) => node.value === value && node.indeterminate);
}
const memoizedIsNodeIndeterminate = memoize(isNodeIndeterminate);
export {
  isNodeIndeterminate,
  memoizedIsNodeIndeterminate
};
